# Inspired by livna 
# stuff to be implemented externally:
Source10: kmodtool
%define   kmodtool bash %{SOURCE10}
# end stuff to be ...

# hardcode for now:
%{!?kversion: %define kversion 2.6.19-1.2895.fc6}

%define kmod_name ipw2200
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%define upvar ""
%ifarch i686
%define paevar PAE
%endif
%ifarch ppc
%define smpvar smp
%endif
%ifarch i686 x86_64
%define xenvar xen
%define kdumpvar kdump
%endif
%ifarch i686 x86_64 ppc
%define kdumpvar kdump
%endif
%{!?kvariants: %define kvariants %{?upvar} %{?smpvar} %{?paevar} %{?xenvar} %{?kdumpvar}}

Summary: Intel PRO/Wireless 2200 Driver for Linux
Name: ipw2200-kmod
Version: 1.2.1
Release: 2.%(echo %{kverrel} | tr - _)
License: GPL
Group: System Environment/Kernel
URL: http://ipw2200.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/ipw2200/ipw2200-%{version}.tgz
Patch10: http://tv.latinsud.com/ipw2200/ipw2200-1.1.4-inject.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:  i586 i686 x86_64
Requires: ipw2200-kmod-common = %{version}

Requires: ieee80211-kmod >= 1.2.16
BuildRequires: ieee80211-devel >= 1.2.16


%description
This project was created by Intel to enable support for the Intel
PRO/Wireless 2200 Network Connection mini PCI adapter.

# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}


%description 
This project was created by Intel to enable support for the Intel
PRO/Wireless 2200 Network Connection mini PCI adapter.
This RPM contains a binary Linux kernel module build for %{kernel}.

%prep
%setup -c -q 
pushd %{kmod_name}-%{version}
%patch10 -p1

grep -rl '<net/ieee80211.h>' . | xargs perl -pi -e's,<net/ieee80211.h>,"net/ieee80211.h",'
perl -pi -e's,/sbin/depmod,:,g' Makefile

# Fake build into believing this kernel has no ipw2200
# We do this so that the ipw2200 Makefile sets its own defaults
perl -pi -e's,^(ifndef CONFIG_IPW2200),$1_off,' Makefile
sed -i -e 's|-I$(TOPDIR)/drivers/net/wireless|-I$(TOPDIR)/extra/ipw2200|' Makefile
popd

for kvariant in %{kvariants} ; do
    cp -a -r %{kmod_name}-%{version} _kmod_build_$kvariant
done


%build

for kvariant in %{kvariants} ; do
    pushd _kmod_build_$kvariant
make \
  KSRC=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu} \
  CC="gcc -I%{_includedir}/ieee80211/net" \
  KERNELRELEASE=%{kverrel}${kvariant:+$kvariant} \
  IEEE80211_INC=%{_includedir}/ieee80211 \
  IEEE80211_IGNORE_DUPLICATE=y \
  KMISC=/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}
popd
done


%install
rm -rf %{buildroot}

for kvariant in %{kvariants}
do
pushd _kmod_build_$kvariant
mkdir -p %{buildroot}/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}/
#install -D -m 0644 *.ko %{buildroot}/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}
make \
  KSRC=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu} \
  CC="gcc -I%{_includedir}/ieee80211"     \
  IEEE80211_INC=%{_includedir}/ieee80211  \
  KMISC=%{buildroot}/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name} \
install
popd
done

chmod u+x %{buildroot}/lib/modules/*/extra/%{kmod_name}/*


%clean
rm -rf %{buildroot}

%Changelog
* Sun Jan 14 2007 kwizart < kwizart at gmail.com > - 1.2.1-2
- Update to the new kernel.

* Sat Jan  6 2007 kwizart < kwizart at gmail.com > - 1.2.1-1
- Update to 1.2.1
- Confirm using API v2

* Tue Oct 17 2006 kwizart < kwizart at gmail.com > - 1.2.0-1_FC5
- Update to 1.2.0

* Sun Sep 03 2006 kwizart < kwizart at gmail.com > - 1.1.4-1
- Update to 1.1.4
- Update to inject patch 1.1.4

* Tue Aug 08 2006 kwizart < kwizart at gmail.com > Release 1
- Update to extra module insertion

* Fri Mar 31 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.13.

